// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: telemetry/Electricity.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace Electricity {

  /// <summary>Holder for reflection information generated from telemetry/Electricity.proto</summary>
  public static partial class ElectricityReflection {

    #region Descriptor
    /// <summary>File descriptor for telemetry/Electricity.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static ElectricityReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "Cht0ZWxlbWV0cnkvRWxlY3RyaWNpdHkucHJvdG8SC2VsZWN0cmljaXR5IoUD",
            "CgtFbGVjdHJpY2l0eRIUCgdjdXJyZW50GAEgASgJSACIAQESFAoHdm9sdGFn",
            "ZRgCIAEoCUgBiAEBEhYKCWZyZXF1ZW5jeRgDIAEoCUgCiAEBEjgKC3NhbXBs",
            "ZV90eXBlGBQgASgOMiMuZWxlY3RyaWNpdHkuRWxlY3RyaWNpdHkuU2FtcGxl",
            "VHlwZRItCgVwaGFzZRgVIAEoDjIeLmVsZWN0cmljaXR5LkVsZWN0cmljaXR5",
            "LlBoYXNlIicKClNhbXBsZVR5cGUSBwoDQVZHEAASBwoDTUlOEAESBwoDTUFY",
            "EAIiegoFUGhhc2USBgoCTDEQABIGCgJMMhABEgYKAkwzEAISCAoETDFfThAD",
            "EggKBEwyX04QBBIICgRMM19OEAUSCAoEUEVfThAGEgUKAU4QBxIJCgVMMV9M",
            "MhAIEgkKBUwyX0wzEAkSCQoFTDNfTDEQChIJCgVUT1RBTBALQgoKCF9jdXJy",
            "ZW50QgoKCF92b2x0YWdlQgwKCl9mcmVxdWVuY3lCdwobY29tLmNvZGlibHku",
            "bW9kZWwudGVsZW1ldHJ5QhBFbGVjdHJpY2l0eVByb3RvygIbRG9tYWluTW9k",
            "ZWxcUHJvdG9cVGVsZW1ldHJ54gInRG9tYWluTW9kZWxcUHJvdG9cVGVsZW1l",
            "dHJ5XEdQQk1ldGFkYXRhYgZwcm90bzM="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::Electricity.Electricity), global::Electricity.Electricity.Parser, new[]{ "Current", "Voltage", "Frequency", "SampleType", "Phase" }, new[]{ "Current", "Voltage", "Frequency" }, new[]{ typeof(global::Electricity.Electricity.Types.SampleType), typeof(global::Electricity.Electricity.Types.Phase) }, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class Electricity : pb::IMessage<Electricity>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<Electricity> _parser = new pb::MessageParser<Electricity>(() => new Electricity());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<Electricity> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::Electricity.ElectricityReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public Electricity() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public Electricity(Electricity other) : this() {
      current_ = other.current_;
      voltage_ = other.voltage_;
      frequency_ = other.frequency_;
      sampleType_ = other.sampleType_;
      phase_ = other.phase_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public Electricity Clone() {
      return new Electricity(this);
    }

    /// <summary>Field number for the "current" field.</summary>
    public const int CurrentFieldNumber = 1;
    private string current_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Current {
      get { return current_ ?? ""; }
      set {
        current_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "current" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasCurrent {
      get { return current_ != null; }
    }
    /// <summary>Clears the value of the "current" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearCurrent() {
      current_ = null;
    }

    /// <summary>Field number for the "voltage" field.</summary>
    public const int VoltageFieldNumber = 2;
    private string voltage_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Voltage {
      get { return voltage_ ?? ""; }
      set {
        voltage_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "voltage" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasVoltage {
      get { return voltage_ != null; }
    }
    /// <summary>Clears the value of the "voltage" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearVoltage() {
      voltage_ = null;
    }

    /// <summary>Field number for the "frequency" field.</summary>
    public const int FrequencyFieldNumber = 3;
    private string frequency_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Frequency {
      get { return frequency_ ?? ""; }
      set {
        frequency_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "frequency" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasFrequency {
      get { return frequency_ != null; }
    }
    /// <summary>Clears the value of the "frequency" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearFrequency() {
      frequency_ = null;
    }

    /// <summary>Field number for the "sample_type" field.</summary>
    public const int SampleTypeFieldNumber = 20;
    private global::Electricity.Electricity.Types.SampleType sampleType_ = global::Electricity.Electricity.Types.SampleType.Avg;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::Electricity.Electricity.Types.SampleType SampleType {
      get { return sampleType_; }
      set {
        sampleType_ = value;
      }
    }

    /// <summary>Field number for the "phase" field.</summary>
    public const int PhaseFieldNumber = 21;
    private global::Electricity.Electricity.Types.Phase phase_ = global::Electricity.Electricity.Types.Phase.L1;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::Electricity.Electricity.Types.Phase Phase {
      get { return phase_; }
      set {
        phase_ = value;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as Electricity);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(Electricity other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (Current != other.Current) return false;
      if (Voltage != other.Voltage) return false;
      if (Frequency != other.Frequency) return false;
      if (SampleType != other.SampleType) return false;
      if (Phase != other.Phase) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (HasCurrent) hash ^= Current.GetHashCode();
      if (HasVoltage) hash ^= Voltage.GetHashCode();
      if (HasFrequency) hash ^= Frequency.GetHashCode();
      if (SampleType != global::Electricity.Electricity.Types.SampleType.Avg) hash ^= SampleType.GetHashCode();
      if (Phase != global::Electricity.Electricity.Types.Phase.L1) hash ^= Phase.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (HasCurrent) {
        output.WriteRawTag(10);
        output.WriteString(Current);
      }
      if (HasVoltage) {
        output.WriteRawTag(18);
        output.WriteString(Voltage);
      }
      if (HasFrequency) {
        output.WriteRawTag(26);
        output.WriteString(Frequency);
      }
      if (SampleType != global::Electricity.Electricity.Types.SampleType.Avg) {
        output.WriteRawTag(160, 1);
        output.WriteEnum((int) SampleType);
      }
      if (Phase != global::Electricity.Electricity.Types.Phase.L1) {
        output.WriteRawTag(168, 1);
        output.WriteEnum((int) Phase);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (HasCurrent) {
        output.WriteRawTag(10);
        output.WriteString(Current);
      }
      if (HasVoltage) {
        output.WriteRawTag(18);
        output.WriteString(Voltage);
      }
      if (HasFrequency) {
        output.WriteRawTag(26);
        output.WriteString(Frequency);
      }
      if (SampleType != global::Electricity.Electricity.Types.SampleType.Avg) {
        output.WriteRawTag(160, 1);
        output.WriteEnum((int) SampleType);
      }
      if (Phase != global::Electricity.Electricity.Types.Phase.L1) {
        output.WriteRawTag(168, 1);
        output.WriteEnum((int) Phase);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (HasCurrent) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Current);
      }
      if (HasVoltage) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Voltage);
      }
      if (HasFrequency) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Frequency);
      }
      if (SampleType != global::Electricity.Electricity.Types.SampleType.Avg) {
        size += 2 + pb::CodedOutputStream.ComputeEnumSize((int) SampleType);
      }
      if (Phase != global::Electricity.Electricity.Types.Phase.L1) {
        size += 2 + pb::CodedOutputStream.ComputeEnumSize((int) Phase);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(Electricity other) {
      if (other == null) {
        return;
      }
      if (other.HasCurrent) {
        Current = other.Current;
      }
      if (other.HasVoltage) {
        Voltage = other.Voltage;
      }
      if (other.HasFrequency) {
        Frequency = other.Frequency;
      }
      if (other.SampleType != global::Electricity.Electricity.Types.SampleType.Avg) {
        SampleType = other.SampleType;
      }
      if (other.Phase != global::Electricity.Electricity.Types.Phase.L1) {
        Phase = other.Phase;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            Current = input.ReadString();
            break;
          }
          case 18: {
            Voltage = input.ReadString();
            break;
          }
          case 26: {
            Frequency = input.ReadString();
            break;
          }
          case 160: {
            SampleType = (global::Electricity.Electricity.Types.SampleType) input.ReadEnum();
            break;
          }
          case 168: {
            Phase = (global::Electricity.Electricity.Types.Phase) input.ReadEnum();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            Current = input.ReadString();
            break;
          }
          case 18: {
            Voltage = input.ReadString();
            break;
          }
          case 26: {
            Frequency = input.ReadString();
            break;
          }
          case 160: {
            SampleType = (global::Electricity.Electricity.Types.SampleType) input.ReadEnum();
            break;
          }
          case 168: {
            Phase = (global::Electricity.Electricity.Types.Phase) input.ReadEnum();
            break;
          }
        }
      }
    }
    #endif

    #region Nested types
    /// <summary>Container for nested types declared in the Electricity message type.</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static partial class Types {
      public enum SampleType {
        [pbr::OriginalName("AVG")] Avg = 0,
        [pbr::OriginalName("MIN")] Min = 1,
        [pbr::OriginalName("MAX")] Max = 2,
      }

      public enum Phase {
        [pbr::OriginalName("L1")] L1 = 0,
        [pbr::OriginalName("L2")] L2 = 1,
        [pbr::OriginalName("L3")] L3 = 2,
        [pbr::OriginalName("L1_N")] L1N = 3,
        [pbr::OriginalName("L2_N")] L2N = 4,
        [pbr::OriginalName("L3_N")] L3N = 5,
        [pbr::OriginalName("PE_N")] PeN = 6,
        [pbr::OriginalName("N")] N = 7,
        [pbr::OriginalName("L1_L2")] L1L2 = 8,
        [pbr::OriginalName("L2_L3")] L2L3 = 9,
        [pbr::OriginalName("L3_L1")] L3L1 = 10,
        [pbr::OriginalName("TOTAL")] Total = 11,
      }

    }
    #endregion

  }

  #endregion

}

#endregion Designer generated code
